/*
 * This is the default operator script. It is run by a subcriber when the
 * start button of its GUI is pressed.
*/

/*jslint nomen: true, indent: 2, maxerr: 3, maxlen: 80 */
/*global operator*/
(function (operator) {
  "use strict";

  var map = operator.getMapJSON();
  operator.sendMsg({
    checkpoint_list: [
      {
        latitude: 45.310770,
        longitude: 5.950148
      },
      {
        latitude: 45.311229,
        longitude: 5.949820
      },
      {
        latitude: 45.311246,
        longitude: 5.950584
      },
      {
        latitude: 45.310785,
        longitude: 5.950877
      }
    ],
    flag_positions: map.flag_list,
    landing_point_list: [
      {
        latitude: 45.310479,
        longitude: 5.950495
      },
      {
        latitude: 45.310393,
        longitude: 5.950677
      },
      {
        latitude: 45.310376,
        longitude: 5.950295
      },
      {
        latitude: 45.310304,
        longitude: 5.950459
      },
      {
        latitude: 45.310235,
        longitude: 5.950608
      }
    ]
  });
}(operator));
